org.eclipse.rdf4j.sail.solr.config

## Class SolrSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig
      - - org.eclipse.rdf4j.sail.solr.config.SolrSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig

      public class SolrSailConfig
      extends AbstractLuceneSailConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrSailConfig()`
    `SolrSailConfig(SailImplConfig delegate)`
    `SolrSailConfig(String luceneDir)`
    `SolrSailConfig(String luceneDir, SailImplConfig delegate)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig

      `export, getIndexDir, getParameter, getParameterNames, parse, setIndexDir, setParameter`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### SolrSailConfig

          public SolrSailConfig()

    - #### SolrSailConfig

          public SolrSailConfig(SailImplConfig delegate)

    - #### SolrSailConfig

          public SolrSailConfig(String luceneDir)

    - #### SolrSailConfig

          public SolrSailConfig(String luceneDir,
                                SailImplConfig delegate)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.